### Method

# Ide SearchEngine remove_provider

#### Declaration

    void
    ide_search_engine_remove_provider (
      IdeSearchEngine* self,
      IdeSearchProvider* provider
    )

#### Description

Remove a custom search provider from the `IdeSearchEngine`. This removes custom `IdeSearchProvider` during the runtime.

Available since: | 3.38

#### Parameters

`provider` | `IdeSearchProvider`
| A `IdeSearchProvider`.
| The data is owned by the caller of the function.